<script setup>
  import { RouterLink, RouterView } from "vue-router";
  import Dashboard from "@/components/Dashboard.vue";
  import SignIn from "@/components/SignIn.vue";
  import SignUp from "@/components/SignUp.vue";
  import Loading from "@/components/item/Loading.vue";
  import store from "./store";
  let logined = store.state.isLogin;
  let signup = store.state.signup;
</script>
<template>
  <Dashboard msg="dashboard" v-if="logined" />
  <sign-up v-if="signup && !logined" />
  <sign-in v-if="!signup && !logined" />
</template>
<style>
@import "@/assets/base.css";
@import "@/assets/css/backend-plugin.min.css";
@import "@/assets/css/backend.css";
@import "@/assets/vendor/@fortawesome/fontawesome-free/css/all.min.css";
@import "@/assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css";
@import "@/assets/vendor/remixicon/fonts/remixicon.css";
</style>
